解决ORA-600 [qmxiUnpPacked2]错误

盖国强 2019-05-08
30
0 0
摘要:根据Metalink Note:339070.1,这个错误的一个触发条件是升级不完全,需要运行catpatch.sql脚本。

问题描述

测试一个Oracle 9.2.0.8的数据库时遇到了一则ORA-600 [qmxiUnpPacked2]错误。

错误为Drop user时触发:

SQL> drop user eygle;
drop user eygle
*
ERROR at line 1:
ORA-01001: invalid cursor
ORA-00600: internal error code, arguments: [qmxiUnpPacked2], [121], [], [], [],[], [], []


专家解答

根据Metalink Note:339070.1,这个错误的一个触发条件是升级不完全,需要运行catpatch.sql脚本。
通过以下步骤可以解决该问题:

SQL> shutdown immediate
SQL> startup migrate
SQL> spool patch.log
SQL> @?/rdbms/admin/catpatch
SQL> spool off


「喜欢文章,快来给作者赞赏墨值吧」

评论

0
0
Oracle
订阅
欢迎订阅Oracle频道,订阅之后可以获取最新资讯和更新通知。
墨值排行
今日本周综合
近期活动
全部
相关课程
全部